Internal Documentation
======================

The documentation here is to document the internal implementation of dput,
for use by new contributors, old contributors, bus-factor reasons, checker
hackers, and interested persons.



Documentation Index
-------------------

Top-level modules:

.. toctree::
   :maxdepth: 3

   core
   util
   changes
   profile
   exceptions
   overrides
   hooks
   hooks/index
   interface
   interfaces/index
   uploader
   uploaders/index
   config
   configs/index
